
var argscheck = require('cordova/argscheck'),
    exec = require('cordova/exec');

var httpd_exports = {};

httpd_exports.startServer = function(options, success, error) {
	  var defaults = {
			    'www_root': '',
			    'port': 8888,
			    'localhost_only': true
			  };
	  // Merge optional settings into defaults.
	  for (var key in defaults) {
	    if (typeof options[key] !== 'undefined') {
	      defaults[key] = options[key];
	    }
	  }
			  
  exec(success, error, "Httpd", "startServer", [ defaults ]);
};

httpd_exports.stopServer = function(success, error) {
	  exec(success, error, "Httpd", "stopServer", []);
};

httpd_exports.getURL = function(success, error) {
	  exec(success, error, "Httpd", "getURL", []);
};

httpd_exports.getLocalPath = function(success, error) {
	  exec(success, error, "Httpd", "getLocalPath", []);
};

module.exports = httpd_exports;

